pangomm: Pango::CairoFontMapImpl Class Reference

pangomm 2.52.0

Public Member Functions | List of all members
Pango::CairoFontMapImpl Class Reference

Gdk::CairoFontMapImpl is a Pango::FontMap that implements the Pango::CairoFontMap interface. More...

`#include <pangomm/cairofontmapimpl.h>`

Inheritance diagram for Pango::CairoFontMapImpl:
[legend]

## Public Member Functions
| CairoFontMapImpl (CairoFontMapImpl &&src) noexcept
CairoFontMapImpl & | operator= (CairoFontMapImpl &&src) noexcept
| ~CairoFontMapImpl () noexcept override
Public Member Functions inherited from Pango::CairoFontMap
| CairoFontMap (CairoFontMap &&src) noexcept
CairoFontMap & | operator= (CairoFontMap &&src) noexcept
| ~CairoFontMap () noexcept override
PangoCairoFontMap * | gobj ()
| Provides access to the underlying C GObject.
const PangoCairoFontMap * | gobj () const
| Provides access to the underlying C GObject.
void | set_default ()
| Sets a default `Pango::CairoFontMap` to use with Cairo.
Cairo::FontType | get_font_type () const
| Gets the type of Cairo font backend that fontmap uses.
void | set_resolution (double dpi)
| Sets the resolution for the fontmap.
double | get_resolution () const
| Gets the resolution for the fontmap.
Public Member Functions inherited from Pango::FontMap
| FontMap (FontMap &&src) noexcept
FontMap & | operator= (FontMap &&src) noexcept
| ~FontMap () noexcept override
PangoFontMap * | gobj ()
| Provides access to the underlying C GObject.
const PangoFontMap * | gobj () const
| Provides access to the underlying C GObject.
PangoFontMap * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Font > | load_font (const Glib::RefPtr< Context > &context, const FontDescription &desc) const
| Load the font in the fontmap that is the closest match for desc.
Glib::RefPtr< Fontset > | load_fontset (const Glib::RefPtr< Context > &context, const FontDescription &desc, const Language &language) const
| Load a set of fonts in the fontmap that can be used to render a font matching desc.
Glib::RefPtr< Context > | create_context ()
| Creates a `Pango::Context` connected to fontmap.
std::vector< Glib::RefPtr< FontFamily > > | list_families () const
| List all families for the fontmap.
guint | get_serial () const
| Returns the current serial number of fontmap.
Glib::RefPtr< FontFamily > | get_family (const Glib::ustring & name)
| Gets a font family by name.
Glib::RefPtr< const FontFamily > | get_family (const Glib::ustring & name) const
| Gets a font family by name.
Glib::RefPtr< Font > | reload_font (const Glib::RefPtr< Font > &font, double scale, const Glib::RefPtr< Context > &context={}, const Glib::ustring &variations={}) const
| Returns a new font that is like font, except that its size is multiplied by scale, its backend-dependent configuration (e.g. cairo font options) is replaced by the one in context, and its variations are replaced by variations.
Glib::PropertyProxy_ReadOnly< GType > | property_item_type () const
| The type of items contained in this list.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_n_items () const
| The number of items contained in this list.

## Additional Inherited Members
Static Public Member Functions inherited from Pango::CairoFontMap
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< FontMap > | get_default ()
| Gets a default Pango::CairoFontMap to use with Cairo.
Static Public Member Functions inherited from Pango::FontMap
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Protected Member Functions inherited from Pango::CairoFontMap
| CairoFontMap ()
| You should derive from this class to use it.
Related Symbols inherited from Pango::CairoFontMap
Glib::RefPtr< Pango::CairoFontMap > | wrap (PangoCairoFontMap *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Pango::FontMap
Glib::RefPtr< Pango::FontMap > | wrap (PangoFontMap *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gdk::CairoFontMapImpl is a Pango::FontMap that implements the Pango::CairoFontMap interface.

The PangoCairoFontMap interface can be implemented by C classes that derive from PangoFontMap. No public Pango class implements PangoCairoFontMap. Some Pango functions, such as pango_cairo_font_map_get_default(), return an object of a class which is derived from PangoFontMap and implements PangoCairoFontMap. Since that C class is not public, it's not wrapped in a C++ class. A C object of such a class can be wrapped in a Pango::CairoFontMapImpl object. Pango::CairoFontMapImpl does not directly correspond to any Pango class.

This class is intended only for wrapping C objects returned from Pango functions.

See also
  Pango::CairoFontMap::get_default()

Since pangomm 2.50

## Constructor & Destructor Documentation

## ◆ CairoFontMapImpl()

Pango::CairoFontMapImpl::CairoFontMapImpl | ( | CairoFontMapImpl && | src | ) |
| noexcept

## ◆ ~CairoFontMapImpl()

Pango::CairoFontMapImpl::~CairoFontMapImpl | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ operator=()

CairoFontMapImpl & Pango::CairoFontMapImpl::operator= | ( | CairoFontMapImpl && | src | ) |
| noexcept